/*
 * task_joystick.h
 *
 *  Created on: Mar 14, 2025
 *      Author: gca76
 */

#ifndef INC_TASK_JOYSTICK_H_
#define INC_TASK_JOYSTICK_H_

#define JOYSTICK_TASK_FREQUENCY_HZ 4
#define JOYSTICK_TASK_PERIOD_TICKS (TICK_FREQUENCY_HZ/JOYSTICK_TASK_FREQUENCY_HZ)


void joystick_task_execute(void);

uint16_t get_x_val(void);

uint16_t get_y_val(void);

uint16_t get_pot_val(void);

#endif /* INC_TASK_JOYSTICK_H_ */
